ONVIF::Analytics::Types::NetworkInterfaceConnectionSetting(3pm)

NAME
ONVIF::Analytics::Types::NetworkInterfaceConnectionSetting

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkInterfaceConnectionSetting from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AutoNegotiation

•   Speed

•   Duplex

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::NetworkInterfaceConnectionSetting
   AutoNegotiation =>  $some_value, # boolean
   Speed =>  $some_value, # int
   Duplex => $some_value, # Duplex
 },

AUTHOR
Generated by SOAP::WSDL